--- WARNING: THIS IS AN AUTO-GENERATED FILE, DO NOT EDIT. PLEASE MODIFY THE ORIGINAL SOURCE IN THE 'https://github.com/istio/istio' REPO source_repo: https://github.com/istio/istio title: operator description: The Istio operator. generator: pkg-collateral-docs number_of_entries: 4 max_toc_level: 2 remove_toc_prefix: 'operator ' ---

The Istio operator.

Flags | Description
--- | ---
`--kubeconfig <string>` | Paths to a kubeconfig. Only required if out-of-cluster. (default ``)
`--master <--kubeconfig>` | (Deprecated: switch to --kubeconfig) The address of the Kubernetes API server. Overrides any value in kubeconfig. Only required if out-of-cluster. (default ``)

## operator server

Starts the Istio operator server

    operator server [flags]

Flags | Description
--- | ---
`--base-chart-path <string>` | The absolute path to a directory containing nested charts, e.g. /etc/istio-operator/helm. This will be used as the base path for any IstioControlPlane instances specifying a relative ChartPath. (default ``)
`--ctrlz_address <string>` | The IP Address to listen on for the ControlZ introspection facility. Use '*' to indicate all addresses. (default `localhost`)
`--ctrlz_port <uint16>` | The IP port to use for the ControlZ introspection facility (default `9876`)
`--default-chart-path <string>` | A path relative to base-chart-path containing charts to be used when no ChartPath is specified by an IstioControlPlane resource, e.g. 1.1.0/istio (default ``)
`--kubeconfig <string>` | Paths to a kubeconfig. Only required if out-of-cluster. (default ``)
`--log_as_json` | Whether to format output as JSON or in plain console-friendly format
`--log_caller <string>` | Comma-separated list of scopes for which to include caller information, scopes can be any of [all, default, patch, tpath, translator, util, validation] (default ``)
`--log_output_level <string>` | Comma-separated minimum per-scope logging level of messages to output, in the form of <scope>:<level>,<scope>:<level>,... where scope can be one of [all, default, patch, tpath, translator, util, validation] and level can be one of [debug, info, warn, error, fatal, none] (default `default:info`)
`--log_rotate <string>` | The path for the optional rotating log file (default ``)
`--log_rotate_max_age <int>` | The maximum age in days of a log file beyond which the file is rotated (0 indicates no limit) (default `30`)
`--log_rotate_max_backups <int>` | The maximum number of log file backups to keep before older files are deleted (0 indicates no limit) (default `1000`)
`--log_rotate_max_size <int>` | The maximum size in megabytes of a log file beyond which the file is rotated (default `104857600`)
`--log_stacktrace_level <string>` | Comma-separated minimum per-scope logging level at which stack traces are captured, in the form of <scope>:<level>,<scope:level>,... where scope can be one of [all, default, patch, tpath, translator, util, validation] and level can be one of [debug, info, warn, error, fatal, none] (default `default:none`)
`--log_target <stringArray>` | The set of paths where to output the log. This can be any path as well as the special values stdout and stderr (default `[stdout]`)
`--master <--kubeconfig>` | (Deprecated: switch to --kubeconfig) The address of the Kubernetes API server. Overrides any value in kubeconfig. Only required if out-of-cluster. (default ``)

## operator version

Prints out build version information

    operator version [flags]

Flags | Shorthand | Description
--- | --- | ---
`--kubeconfig <string>` |  | Paths to a kubeconfig. Only required if out-of-cluster. (default ``)
`--master <--kubeconfig>` |  | (Deprecated: switch to --kubeconfig) The address of the Kubernetes API server. Overrides any value in kubeconfig. Only required if out-of-cluster. (default ``)
`--output <string>` | `-o` | One of 'yaml' or 'json'. (default ``)
`--short` | `-s` | Use --short=false to generate full version information

## Exported metrics

Metric Name | Type | Description
--- | --- | ---
`istio_build` | `LastValue` | Istio component build info